use egui::{Context, ViewportBuilder, ViewportId};
pub use game::GameWindow;
pub use input::InputWindow;
use winit::event::KeyEvent;

mod game;
mod game_screen;
mod input;

pub trait AppWindow {
    fn viewport_id(&self) -> ViewportId;
    fn initial_viewport(&self) -> ViewportBuilder;
    fn show(&mut self, ctx: &Context);
    fn on_init(&mut self, render_state: &egui_wgpu::RenderState) {
        let _ = render_state;
    }
    fn on_destroy(&mut self) {}
    fn handle_key_event(&mut self, event: &KeyEvent) {
        let _ = event;
    }
}
